<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
  "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="kr.xit.biz.cmm.mapper.ICmmEnsCacheMapper">

  <select id="selectNiceCiInfo" resultType="kr.xit.biz.ens.model.nice.NiceCiDTO$NiceCiInfo">
    /** ens-cmm-cache-oracle-mapper|selectNiceCiInfo-Nice인증정보조회|julim  */
    SELECT signgu_code,             /* 시군구코드 */
           ffnlg_code,              /* 과태료코드 */
           client_id,               /* nice client id */
           client_secret,           /* app security code */
           product_id,              /* 상품 코드 */
           access_token,            /* access token */
           expires_in,              /* access token 만료일시(초)*/
           token_type,              /* token type */
           scope,                   /* token scope */
           site_code,               /* 공개키 사이트 코드 */
           key_version,             /* 공개키 버전 */
           public_key,              /* 공개키 */
           TO_CHAR(TO_DATE(valid_dtim, 'YYYYMMDDHH24MISS') - INTERVAL '1' HOUR, 'YYYYMMDDHH24MISS') AS validDtim, /* 공개키 만료일시 */
           cur_symkey_version,      /* 현재 대칭키 버전 */
           TO_CHAR(TO_DATE(cur_symkey_valid_dtim, 'YYYYMMDDHH24MISS') - INTERVAL '1' HOUR, 'YYYYMMDDHH24MISS') AS curSymkeyValidDtim,  /* 현재 대칭키 만료일시 */
           cur_symkey_key,          /* 현재 대칭키 - key */
           cur_symkey_iv,           /* 현재 대칭키 - iv */
           cur_symkey_hmac_key,     /* 현재 대칭키 - hmac_key */
           bef_symkey_version,      /* 이전 대칭키 버전 */
           bef_symkey_valid_dtim,   /* 이전 대칭키 만료일시 */
           bef_symkey_key,          /* 이전 대칭키 - key */
           bef_symkey_iv,           /* 이전 대칭키 - iv */
           bef_symkey_hmac_key      /* 이전 대칭키 - hmac_key */
      FROM tb_cmm_nice_instn_crtf_info
     WHERE signgu_code = #{signguCode}
       AND ffnlg_code = #{ffnlgCode}
  </select>

  <select id="selectEnsRlaybsnmInfo" resultType="kr.xit.biz.ens.model.cmm.CmmEnsRlaybsnmDTO">
    /** ens-cmm-cache-oracle-mapper|selectEnsRlaybsnmInfo-중계사업관리자정보조회|julim  */
    SELECT signgu_code,             /* 시군구코드 */
           ffnlg_code,              /* 과태료코드 */
           signgu_nm,               /* 시군구 명 */
           ffnlg_nm,                /* 과태료 명 */
           kakao_client_id,         /* 카카오 Client ID */
           kakao_product_cd,        /* 카카오 상품 코드 */
           kakao_access_token,      /* 카카오 access token */
           kakao_contract_uuid,     /* 카카오 contract uuid */
           kakao_partner_rest_api_key, /* 카카오 partner key */
           kakao_dealer_rest_api_key, /* 카카오 dealer key */
           CASE WHEN #{profile} = 'prod' THEN kakao_prod_settle_id ELSE kakao_dev_settle_id END AS kakaoSettleId, /* 카카오 settle id */
           kt_client_id,            /* KT client id */
           kt_client_tp,            /* KT client tp */
           kt_scope,                /* KT scope */
           kt_service_code,         /* KT service code */
           CASE WHEN #{profile} = 'prod' THEN kt_prod_client_id ELSE kt_dev_client_id END AS ktSvcClientId,                   /* KT client service ID */
           CASE WHEN #{profile} = 'prod' THEN kt_prod_client_secret ELSE kt_dev_client_secret END AS ktSvcClientSecret,       /* KT client service secret */
           CASE WHEN #{profile} = 'prod' THEN kt_prod_service_cerf_key ELSE kt_dev_service_cerf_key END AS ktSvcCerfKey,      /* KT client service cerf key */
           CASE WHEN #{profile} = 'prod' THEN kt_prod_access_token ELSE kt_dev_access_token END AS ktAccessToken,            /* KT access token */
           CASE WHEN #{profile} = 'prod' THEN kt_prod_token_jti ELSE kt_dev_token_jti END AS ktTokenJti,            /* KT 토큰 식별자 */
           CASE WHEN NVL(CASE WHEN #{profile} = 'prod' THEN kt_prod_token_expires_in ELSE kt_dev_token_expires_in END, '') = ''
                THEN NULL
                ELSE updt_dt + (CASE WHEN #{profile} = 'prod' THEN kt_prod_token_expires_in ELSE kt_dev_token_expires_in END - 86400) / 86400
           END AS ktTokenExpiresIn, /* KT 토큰 유효기간 : (7775999)(90일) */
           epost_service_key,       /* epost service key */
           pplus_api_key,           /* postplus api key */
           sender_nm,               /* 발송인 명 */
           sender_zip_no,           /* 발송인 우편 번호 */
           sender_addr,             /* 발송인 주소 */
           sender_detail_addr       /* 발송인 상세 주소 */
      FROM tb_ens_rlaybsnm_manage
     WHERE signgu_code = #{signguCode}
       AND ffnlg_code = #{ffnlgCode}
  </select>

</mapper>
